# CommonDoctypeDeclaration Class Reference
[Various accompanying utilities]

Parses common doctype FPI (Formal Public Identifier) in form: "-//<Org>//DTD <Type> [<Subtype>] [<Version>] [<Variant>]//<Language>". More...

Inheritance diagram for CommonDoctypeDeclaration:
[legend]

List of all members.

## Public Member Functions

| setOrganization ($organization)
| getOrganization ()
| setType ($type)
| getType ()
| setSubtype ($subtype)
| getSubtype ()
| setVersion ($version)
| getVersion ()
| setVariant ($variant)
| getVariant ()
| setLanguage ($language)
| getLanguage ()
| setFpi ($fpi)
| getFpi ()

## Static Public Member Functions

static | create ()

## Private Attributes

| $organization = null
| $type = null
| $subtype = null
| $version = null
| $variant = null
| $language = null

## Detailed Description

Parses common doctype FPI (Formal Public Identifier) in form: "-//<Org>//DTD <Type> [<Subtype>] [<Version>] [<Variant>]//<Language>".

Examples: -//W3C//DTD HTML//EN -//W3C//DTD XHTML Basic 1.0//EN -//W3C//DTD HTML 4.01 Transitional//EN

Definition at line 23 of file CommonDoctypeDeclaration.class.php.

## Member Function Documentation

static CommonDoctypeDeclaration::create | ( |  | ) | `[static]`

Returns:
  CommonDoctypeDeclaration

Reimplemented from DoctypeDeclaration.

Definition at line 36 of file CommonDoctypeDeclaration.class.php.

CommonDoctypeDeclaration::getFpi | ( |  | ) |

Reimplemented from DoctypeDeclaration.

Definition at line 159 of file CommonDoctypeDeclaration.class.php.

CommonDoctypeDeclaration::getLanguage | ( |  | ) |

Definition at line 126 of file CommonDoctypeDeclaration.class.php.

CommonDoctypeDeclaration::getOrganization | ( |  | ) |

Definition at line 51 of file CommonDoctypeDeclaration.class.php.

CommonDoctypeDeclaration::getSubtype | ( |  | ) |

Definition at line 81 of file CommonDoctypeDeclaration.class.php.

CommonDoctypeDeclaration::getType | ( |  | ) |

Definition at line 66 of file CommonDoctypeDeclaration.class.php.

CommonDoctypeDeclaration::getVariant | ( |  | ) |

Definition at line 111 of file CommonDoctypeDeclaration.class.php.

CommonDoctypeDeclaration::getVersion | ( |  | ) |

Definition at line 96 of file CommonDoctypeDeclaration.class.php.

CommonDoctypeDeclaration::setFpi | ( | $ | fpi | ) |

Returns:
  CommonDoctypeDeclaration

Reimplemented from DoctypeDeclaration.

Definition at line 134 of file CommonDoctypeDeclaration.class.php.

References DoctypeDeclaration::$fpi.

CommonDoctypeDeclaration::setLanguage | ( | $ | language | ) |

Returns:
  CommonDoctypeDeclaration

Definition at line 119 of file CommonDoctypeDeclaration.class.php.

References $language.

CommonDoctypeDeclaration::setOrganization | ( | $ | organization | ) |

Returns:
  CommonDoctypeDeclaration

Definition at line 44 of file CommonDoctypeDeclaration.class.php.

References $organization.

CommonDoctypeDeclaration::setSubtype | ( | $ | subtype | ) |

Returns:
  CommonDoctypeDeclaration

Definition at line 74 of file CommonDoctypeDeclaration.class.php.

References $subtype.

CommonDoctypeDeclaration::setType | ( | $ | type | ) |

Returns:
  CommonDoctypeDeclaration

Definition at line 59 of file CommonDoctypeDeclaration.class.php.

References $type.

CommonDoctypeDeclaration::setVariant | ( | $ | variant | ) |

Returns:
  CommonDoctypeDeclaration

Definition at line 104 of file CommonDoctypeDeclaration.class.php.

References $variant.

CommonDoctypeDeclaration::setVersion | ( | $ | version | ) |

Returns:
  CommonDoctypeDeclaration

Definition at line 89 of file CommonDoctypeDeclaration.class.php.

References $version.

## Member Data Documentation

CommonDoctypeDeclaration::$language = null`[private]`

Definition at line 31 of file CommonDoctypeDeclaration.class.php.

Referenced by setLanguage().

CommonDoctypeDeclaration::$organization = null`[private]`

Definition at line 25 of file CommonDoctypeDeclaration.class.php.

Referenced by setOrganization().

CommonDoctypeDeclaration::$subtype = null`[private]`

Definition at line 28 of file CommonDoctypeDeclaration.class.php.

Referenced by setSubtype().

CommonDoctypeDeclaration::$type = null`[private]`

Definition at line 27 of file CommonDoctypeDeclaration.class.php.

Referenced by setType().

CommonDoctypeDeclaration::$variant = null`[private]`

Definition at line 30 of file CommonDoctypeDeclaration.class.php.

Referenced by setVariant().

CommonDoctypeDeclaration::$version = null`[private]`

Definition at line 29 of file CommonDoctypeDeclaration.class.php.

Referenced by setVersion().

The documentation for this class was generated from the following file:

- main/Utils/CommonDoctypeDeclaration.class.php